> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user avatar



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 post /frontend/api/v1/user/current/avatar
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/user/current/avatar:
    post:
      tags:
        - User
      summary: Create user avatar
      operationId: routes/user.PostCurrentUserAvatar
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserPostCurrentUserAvatarRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FormDataUserPostCurrentUserAvatarRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPostCurrentUserAvatarResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    UserPostCurrentUserAvatarRequest:
      properties:
        avatar:
          description: >-
            Avatar URL. Supported formats:jpeg, png, webp, gif, svg. Max file
            size: 10.0 MB. Min image size 96x96
          examples:
            - https://your-bucket.s3.amazonaws.com/avatar.png
          type: string
        crop:
          $ref: '#/components/schemas/UserCreateUserAvatarCropParam'
          description: Crop parameters
      type: object
    FormDataUserPostCurrentUserAvatarRequest:
      properties:
        avatar-file:
          $ref: '#/components/schemas/MultipartFileHeader'
          description: >-
            Upload avatar file. Supported formats:jpeg, png, webp, gif, svg. Max
            file size: 10.0 MB. Min image size 96x96
        crop:
          $ref: '#/components/schemas/FormDataUserCreateUserAvatarCropParam'
          description: Crop parameters
      type: object
    UserPostCurrentUserAvatarResponse:
      properties:
        avatar:
          $ref: '#/components/schemas/UserAvatar'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    UserCreateUserAvatarCropParam:
      properties:
        flip:
          description: Avatar flip (after cropping and rotation)
          enum:
            - horizontal
            - vertical
          examples:
            - horizontal
          type: string
        left:
          description: Avatar left top left X coordinate
          examples:
            - 30
          type: integer
        rotate:
          description: 'Avatar rotation(after cropping). Supported angles: 0, 90, 180, 270.'
          enum:
            - 0
            - 90
            - 180
            - 270
          examples:
            - 0
          type: integer
        size:
          description: 'Avatar size (width and height).. Min value: 96.'
          examples:
            - 100
          minimum: 96
          type: integer
        top:
          description: Avatar top left Y coordinate
          examples:
            - 40
          type: integer
      type: object
    MultipartFileHeader:
      contentMediaType: application/octet-stream
      format: binary
      type: string
    FormDataUserCreateUserAvatarCropParam:
      properties:
        flip:
          description: Avatar flip (after cropping and rotation)
          enum:
            - horizontal
            - vertical
          examples:
            - horizontal
          type: string
        left:
          description: Avatar left top left X coordinate
          examples:
            - 30
          type: integer
        rotate:
          description: 'Avatar rotation(after cropping). Supported angles: 0, 90, 180, 270.'
          enum:
            - 0
            - 90
            - 180
            - 270
          examples:
            - 0
          type: integer
        size:
          description: 'Avatar size (width and height).. Min value: 96.'
          examples:
            - 100
          minimum: 96
          type: integer
        top:
          description: Avatar top left Y coordinate
          examples:
            - 40
          type: integer
      type: object
    UserAvatar:
      properties:
        created:
          format: date-time
          type: string
        enabled:
          type: boolean
        id:
          format: uuid
          type: string
        provider:
          $ref: '#/components/schemas/UserAvatarProvider'
        url:
          type: string
      type: object
    UserAvatarProvider:
      enum:
        - probe-dev
        - amazon
        - atlassian
        - facebook
        - github
        - google
        - linkedin
        - slack
      type: string
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````